Subject: Re: [bitcoin-dev] BIP Process and Votes

From: Milly Bitcoin <[email-masked]>
Date: Sat, 27 Jun 2015 08:50:14 -0400

On 6/27/2015 7:28 AM, Jorge Timón wrote:
> On Fri, Jun 26, 2015 at 2:34 PM, Milly Bitcoin <[email-masked]> wrote:
>> Without looking up specific links I am confident people like Mircea Popescu
>> will oppose just about any change.  Maybe they don't post their objection to
>> Github but the point I am making is that no matter what change you make
>> someone, somewhere will be against it.  Some of the developers think that
>> Github is the only place that matters and that the only opinions that matter
>> is a tiny group of insiders.  I don't think that way which is the reasoning
>> behind my statement.
> Yes, I understand that it may be difficult to define
> "uncontroversial", as I explain in
> http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-June/008936.html
>
>> I have seen things like a Github discussion between 3 or 4 people
>> and then Garzik send out a tweet that there is near universal approval for
>> the proposed change as it nobody is allowed to question it.  After watching
>> the github process for a couple years I simply don't trust it because the
>> developers in charge have a dictatorial style and they shut out many
>> stakeholders instead of soliciting their opinions.
> Can you provide anything to back your claim?
> Note that even if that's true, still, Bitcoin core != Bitcoin consensus rules.
I saw this problem first hand when Andreas Antonopolis got into a big 
dispute with some of the core developers over the press contacts.  The 
github made up their rules as they went along and simply ignored input 
from anyone outside their inner circle.  Since that time several people 
have told me they dropped out of participating in the github process.  
The maintainers deleted some of my messages and I have been told I am 
banned form github. Further, as you can see on here Jeff Garzik, a guy 
who claims only to hold a few hundred Bitcoin, told people on this list 
to ignore my messages.  There is also the incident where Gavin lambasted 
someone for "hiding behind anonymity" when the whole project is based on 
an anonymous contributor.  I find it interesting that many developers 
who work on a decentralized system.  I don't like the general attitude 
of the developers that they are the protectors of the system and that 
everyone else is trying to exploit or do damage. they often characterize 
different users/businesses/miners as abusers, spammers, people trying to 
game the system, etc. while they characterize the developers as pure and 
good.  When the issue comes up about authority over the code (which 
includes the consensus rules) they spout all kinds of nonsense about how 
they don't have significant control and are not deciders yet they never 
point to who does decide.  If they weren't the deciders then people 
would not be spending all that time lobbying them.  just because there 
are some checks and balances does not mean it is "decentralized" or they 
are not deciders.

As for your proclamation**at Bitcoin core != Bitcoin consensus rules, 
that is simply not true in practice.  There is one piece of software 
with one maintainer.  If you want it changed you have to convince that 
one person to approve the change.

>> I view the Github system
>> as the biggest centralized choke-point in Bitcoin and probably its biggest
>> threat to its continued survival.  Anyone can come in and hire a couple core
>> developers and veto any change they don't want.
> Well, yes, github is centralized and so it is bitcoin core development.
> But bitcoin core developers don't decide hardfork changes.
> So far, softfork changes have been made because they have been
> considered "uncontroversial", not because there's any centralized
> negotiating table or voting process to decide when to force every user
> to adapt their software to new consensus rules.
>
The core developers have the biggest influence by far to decide hard 
fork changes.  There is no other place to go.  While anyone can fork the 
code someone compare it to the river Thames.  if you don't like where 
the river runs you can dig a new one ... here is a spoon.  I can vote in 
elections but that does not mean the US government is "decentralized."  
The core maintainer has decided on a hard fork change, he has decided 
not to do it.

In any case what happened in the past does not matter.  What is going to 
happen now is the question.  If nothing happens and everybody sits 
around saying they are not in charge of the consensus rules and nothing 
ever gets done I see Bitcoin just fading away into oblivion.  I am under 
the impression that at least some of the developers (such as Garzik) 
don't actually hold that many bitcoins and don't have a large stake in 
the system yet they have significant control.  Anyone can attack the 
system by simply hiring a couple core developers and creating the 
gridlock we see now.

Russ